Retrieve real-time customer usage data for the current open billing period.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The customer external unique identifier (provided by your own application).
"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"
The unique identifier of the subscription within your application.
"sub_1234567890"
Optional flag to determine if taxes should be applied. Defaults to true if not provided or if null.
true
Filter usage to a specific charge by its Lago ID (UUID).
"1a901a90-1a90-1a90-1a90-1a901a901a90"
Filter usage to a specific charge by its code.
"storage"
Filter usage by pricing group. Pass key/value pairs as query parameters, e.g. filter_by_group[cloud]=aws.
{ "cloud": "aws" }When true, returns usage since subscription start instead of the current billing period. Requires either filter_by_charge_id, filter_by_charge_code, or filter_by_group to be set.
true
Customer usage